package com.fuyuanshen.modules.system.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 分配客户的Vo类
 * @Author: WY
 * @Date: 2025/5/28
 **/
@Data
@Validated
public class CustomerVo {

    @ApiModelProperty(value = "客户ID")
    @NotNull(message = "客户ID不能为空")
    private Long customerId;

    @ApiModelProperty(value = "设备ID")
    @NotNull(message = "设备ID不能为空")
    private List<Long> deviceIds;

}
